<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Euler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_euler.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_euler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Euler Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining euler angles.  
 <a href="class_euler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_euler_8h_source.html">Euler.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8673834881a1a1020e2d1000fc7bb388"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#a8673834881a1a1020e2d1000fc7bb388">Euler</a> (const <a class="el" href="class_euler.html">Euler</a> *euler)</td></tr>
<tr class="memdesc:a8673834881a1a1020e2d1000fc7bb388"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a8673834881a1a1020e2d1000fc7bb388">More...</a><br/></td></tr>
<tr class="separator:a8673834881a1a1020e2d1000fc7bb388"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb113a12646ed6880eaf8d5bdf040800"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#abb113a12646ed6880eaf8d5bdf040800">Euler</a> (float <a class="el" href="class_euler.html#abb3d68785990a6dbd94b98e675c4af8c">roll</a>=0, float <a class="el" href="class_euler.html#acce5b55271e16844831b3bb31e2c549b">pitch</a>=0, float <a class="el" href="class_euler.html#a518916126b6a5499310f73391c943857">yaw</a>=0)</td></tr>
<tr class="memdesc:abb113a12646ed6880eaf8d5bdf040800"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#abb113a12646ed6880eaf8d5bdf040800">More...</a><br/></td></tr>
<tr class="separator:abb113a12646ed6880eaf8d5bdf040800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4b1de4e7735cef3237340a589da6fe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#afb4b1de4e7735cef3237340a589da6fe">~Euler</a> ()</td></tr>
<tr class="memdesc:afb4b1de4e7735cef3237340a589da6fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#afb4b1de4e7735cef3237340a589da6fe">More...</a><br/></td></tr>
<tr class="separator:afb4b1de4e7735cef3237340a589da6fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a388a0e51006fc1f463f103ffed9e40a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#a388a0e51006fc1f463f103ffed9e40a0">CopyFrom</a> (const <a class="el" href="class_euler.html">Euler</a> *euler)</td></tr>
<tr class="memdesc:a388a0e51006fc1f463f103ffed9e40a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy.  <a href="#a388a0e51006fc1f463f103ffed9e40a0">More...</a><br/></td></tr>
<tr class="separator:a388a0e51006fc1f463f103ffed9e40a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aa015f79d111935b25bfd2628037550"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#a5aa015f79d111935b25bfd2628037550">RotateX</a> (float value)</td></tr>
<tr class="memdesc:a5aa015f79d111935b25bfd2628037550"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a5aa015f79d111935b25bfd2628037550">More...</a><br/></td></tr>
<tr class="separator:a5aa015f79d111935b25bfd2628037550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a912cf9210658b17b71cc8eae59f1f915"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#a912cf9210658b17b71cc8eae59f1f915">RotateXDeg</a> (float value)</td></tr>
<tr class="memdesc:a912cf9210658b17b71cc8eae59f1f915"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a912cf9210658b17b71cc8eae59f1f915">More...</a><br/></td></tr>
<tr class="separator:a912cf9210658b17b71cc8eae59f1f915"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d44703b2c30940a8b1affd9b7649f45"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#a0d44703b2c30940a8b1affd9b7649f45">RotateY</a> (float value)</td></tr>
<tr class="memdesc:a0d44703b2c30940a8b1affd9b7649f45"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#a0d44703b2c30940a8b1affd9b7649f45">More...</a><br/></td></tr>
<tr class="separator:a0d44703b2c30940a8b1affd9b7649f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9cae1df2e5cd115e7a087d617dac363"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#af9cae1df2e5cd115e7a087d617dac363">RotateYDeg</a> (float value)</td></tr>
<tr class="memdesc:af9cae1df2e5cd115e7a087d617dac363"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#af9cae1df2e5cd115e7a087d617dac363">More...</a><br/></td></tr>
<tr class="separator:af9cae1df2e5cd115e7a087d617dac363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc7b797617819a8685af3f18a271c4bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#afc7b797617819a8685af3f18a271c4bc">RotateZ</a> (float value)</td></tr>
<tr class="memdesc:afc7b797617819a8685af3f18a271c4bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#afc7b797617819a8685af3f18a271c4bc">More...</a><br/></td></tr>
<tr class="separator:afc7b797617819a8685af3f18a271c4bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb9782977daa5c10204ca73c6c2281bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#adb9782977daa5c10204ca73c6c2281bc">RotateZDeg</a> (float value)</td></tr>
<tr class="memdesc:adb9782977daa5c10204ca73c6c2281bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#adb9782977daa5c10204ca73c6c2281bc">More...</a><br/></td></tr>
<tr class="separator:adb9782977daa5c10204ca73c6c2281bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:abb3d68785990a6dbd94b98e675c4af8c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#abb3d68785990a6dbd94b98e675c4af8c">roll</a></td></tr>
<tr class="memdesc:abb3d68785990a6dbd94b98e675c4af8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">roll value  <a href="#abb3d68785990a6dbd94b98e675c4af8c">More...</a><br/></td></tr>
<tr class="separator:abb3d68785990a6dbd94b98e675c4af8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acce5b55271e16844831b3bb31e2c549b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#acce5b55271e16844831b3bb31e2c549b">pitch</a></td></tr>
<tr class="memdesc:acce5b55271e16844831b3bb31e2c549b"><td class="mdescLeft">&#160;</td><td class="mdescRight">pitch value  <a href="#acce5b55271e16844831b3bb31e2c549b">More...</a><br/></td></tr>
<tr class="separator:acce5b55271e16844831b3bb31e2c549b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a518916126b6a5499310f73391c943857"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_euler.html#a518916126b6a5499310f73391c943857">yaw</a></td></tr>
<tr class="memdesc:a518916126b6a5499310f73391c943857"><td class="mdescLeft">&#160;</td><td class="mdescRight">yaw value  <a href="#a518916126b6a5499310f73391c943857">More...</a><br/></td></tr>
<tr class="separator:a518916126b6a5499310f73391c943857"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining euler angles. </p>
<p><a class="el" href="class_euler.html" title="Class defining euler angles. ">Euler</a> angles are expressed in radians. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8673834881a1a1020e2d1000fc7bb388"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Euler::Euler </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_euler.html">Euler</a> *&#160;</td>
          <td class="paramname"><em>euler</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct euler angles using values from another class.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">euler</td><td>class to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abb113a12646ed6880eaf8d5bdf040800"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Euler::Euler </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>roll</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>pitch</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>yaw</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct euler angles using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">roll</td><td>roll value </td></tr>
    <tr><td class="paramname">pitch</td><td>pitch value </td></tr>
    <tr><td class="paramname">yaw</td><td>yaw value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afb4b1de4e7735cef3237340a589da6fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Euler::~Euler </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a388a0e51006fc1f463f103ffed9e40a0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Euler::CopyFrom </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_euler.html">Euler</a> *&#160;</td>
          <td class="paramname"><em>euler</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Copy. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">euler</td><td>class to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5aa015f79d111935b25bfd2628037550"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Euler::RotateX </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a912cf9210658b17b71cc8eae59f1f915"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Euler::RotateXDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0d44703b2c30940a8b1affd9b7649f45"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Euler::RotateY </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>y axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af9cae1df2e5cd115e7a087d617dac363"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Euler::RotateYDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>y axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afc7b797617819a8685af3f18a271c4bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Euler::RotateZ </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>z axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adb9782977daa5c10204ca73c6c2281bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Euler::RotateZDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>z axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="abb3d68785990a6dbd94b98e675c4af8c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Euler::roll</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>roll value </p>

</div>
</div>
<a class="anchor" id="acce5b55271e16844831b3bb31e2c549b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Euler::pitch</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>pitch value </p>

</div>
</div>
<a class="anchor" id="a518916126b6a5499310f73391c943857"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Euler::yaw</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>yaw value </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_euler.html">Euler</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
